---
layout: default
title: Amber documentation
hide: true
next: getting-started.html
---

### Welcome 

This is the Amber documentation website. The purpose of this documentation is to guide you step by step from learning <a href="/installing.html">how to install Amber</a> to being an advanced Amber developer.

Currently we covered the firsts steps of <a href="/installing.html">installing</a> and <a href="/getting-started.html">getting started</a> with a new Amber project.

<p class="note">
This documentation and guides are a community effort. You figured out how to do something useful or cool? Great! Share it with us! <a href="https://github.com/amber-smalltalk/amber-documentation">Contribute</a> with your own guide here!
</p>

### What is Amber?

Amber is a language and development environment made for the web. The
language is deeply inspired by
[Smalltalk](http://en.wikipedia.org/wiki/Smalltalk), and compiles to
JavaScript files.

Amber includes a live development environment with a class browser,
workspace, unit test runner, transcript, object inspector and
debugger.

![IDE](/images/helios.png "Amber's IDE")

#### Why a Smalltalk dialect?

- Smalltalk stands head and shoulders above most other languages for
clarity, conciseness, and human-friendliness.

- As a language, it is immensely clean and mature, both syntactically
and semantically. It is a pure Object Oriented language, with objects all the way
down.

- Also, having a true live & incremental development environment where
you can build your application interactively in the browser is
unbeatable.

#### What about the JavaScript ecosystem?

Amber plays very well with the outer world. You can interact with
JavaScript objects seamlessly, and even inspect them as any Amber
object.

Evaluating JavaScript object methods is transparent and makes using
libraries a breeze.

<a href="/installing.html">Installing Amber</a>
